Subject: Re: [PATCH v4 0/5] Disable "git status" comment prefix

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Sep 2013 11:12:38 -0700

Matthieu Moy <[email-masked]> writes:

>>>   Untracked files:
>>>           t/foo
>>>           test-obj-pool
>>>           test-string-pool
>>>           test-treap
>>>           test-url-normalize
>>>
>>>   nothing added to commit but untracked files present
>>
>> The added blank line before "nothing added" sounds like a good idea.
>
> I won't change the header part in this topic (no time, sorry), but the
> missing newline before "nothing added" actually sounds like a bug, as
> there is normally a newline after each list of file in `git status`,
> except untracked and ignored.

Actually, "nothing added ..." is not a part of status proper; it
will be clear if you run the command with comment prefix, whose
output may end like so:

    # Untracked files:
    #   (use "git add <file>..." to include in what will be committed)
    #
    #       gomi
    #       kuzu
    nothing added to commit but untracked files present (use "git add" to track)

But I agree that the output without comment prefix needs an extra
blank before that line (if that line will be emitted, that is).